Subject: [PATCH v4 1/3] PCI: generic: remove dependency on hw_pci

From: [email-masked] (Bjorn Helgaas)
Date: Fri, 14 Aug 2015 09:46:44 -0500

On Wed, Aug 12, 2015 at 10:04:50AM +0100, Will Deacon wrote:
> On Wed, Aug 12, 2015 at 08:11:29AM +0100, Pavel Fedin wrote:
> > > I dropped the acks and tested-by because of that change, but I'll happily
> > > add them back if Lorenzo and Pavel confirm.  
> > 
> >  Confirm.
> >  Tested-by: Pavel Fedin <[email-masked]>
> > 
> >  I also added MSI support. Can i post it as patch on top of your branch?
> 
> There shouldn't be any need with the changes queued in tip/irq/core. Can
> you give the following branch a go, please (it doesn't look like Bjorn's
> stuff is in linux-next, unfortunately)?

We still have a build issue (undefined reference to pci_write_msi_msg
in imx_v6_v7_defconfig) to resolve before putting it in linux-next.
Hopefully we can resolve that today.